Subject: Re: [patch 1/3] fix buggy IEEE80211_CRYPT_* selects

From: Adrian Bunk <[email-masked]>
Date: Sun, 6 Mar 2005 20:10:29 +0100

On Sun, Mar 06, 2005 at 01:00:50PM -0500, Jeff Garzik wrote:
> Herbert Xu wrote:
> >On Sat, Mar 05, 2005 at 12:07:18AM +0100, Adrian Bunk wrote:
> >
> >>The way kconfig currently works, you have to ensure that the 
> >>dependencies of what you select are fulfilled.
> >
> >
> >Yes Adrian's right.  In the other places where we select CRYPTO
> >symbols, we always make sure that CRYPTO itself is selected.  See
> >net/ipv4/Kconfig for example.
> 
> I would rather fix Kconfig.  If we are selecting X_1 -- which explicitly 
> depends on X -- when Kconfig should automatically select X.
> 
> It is completely illogical to duplicate a dependency chain each time you 
> wish to select a symbol.

I asked about the first example of my last email:
  What values of the variables A-E do you expect exactly if the user 
  turns on F?

If you expect this to work, which unambiguous solution do you propose 
for this example?

> 	Jeff

cu
Adrian

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed